for map in data/*shp; do echo v.in.ogr dsn=data/ layer=$map out=$map --o; done
v.in.ogr --help
for map in data/*shp; do v.in.ogr dsn=data/ layer=$map out=$map --o; done
for map in data/*shp; do v.in.ogr dsn=data/ layer=$map out=`basename $map .shp`--o; done
for map in data/*shp; do echo v.in.ogr dsn=data/ layer=$map out=`basename $map .shp`--o; done
for map in data/*shp; do echo v.in.ogr dsn=data/ layer=`basename $map` out=`basename $map .shp`--o; done
for map in data/*shp; do v.in.ogr dsn=data/ layer=`basename $map` out=`basename $map .shp`--o; done
for map in data/*shp; do v.in.ogr dsn=data/ layer=`basename $map .shp` out=`basename $map .shp`--o; done
for map in data/*shp; do v.in.ogr dsn=data/ layer=`basename $map .shp` out=`basename $map .shp` --o; done
for map in data/*shp; do new=`basename $map .shp`; v.in.ogr dsn=data/ layer=$new out=$new --o; done
for map in data/*shp; do new=`basename $map .shp`; echo v.in.ogr dsn=data/ layer=$new out=`echo $new | tr "-" "." ` --o; done
for map in data/*shp; do new=`basename $map .shp`; v.in.ogr dsn=data/ layer=$new out=`echo $new | tr "-" "." ` --o; done 2> err
for map in data/*shp; do new=`basename $map .shp`; v.in.ogr dsn=data/ layer=$new out=`echo $new | tr "-" "_" ` --o; done 2> err
g.mlist vect
gis.m
ls data/*tif
r.in.gdal --help
for map in data/*tif; do new=`basename $map .tif`; v.in.gdal in=$map out=`echo $new | tr "-" "_" ` --o; done 2> err
for map in data/*tif; do new=`basename $map .tif`; r.in.gdal in=$map out=`echo $new | tr "-" "_" ` --o; done 2> err
for map in data/*tif; do new=`basename $map .tif`; echo $map ;r.in.gdal in=$map out=`echo $new | tr "-" "_" ` --o; done
for map in data/*tif; do new=`basename $map .tif`; echo $map ;r.in.gdal -o in=$map out=`echo $new | tr "-" "_" ` --o; done
r.in.gdal -o in=data/modis.jpg out=modis
v.db.select veg
v.db.select veg | iconv -f windows-1251
cp -t datautf8/ data/*
for file in data/*dbf; do echo python win2utf8.py -f $file -o datautf8/`basename $file`; done
for file in data/*dbf; do python win2utf8.py -f $file -o datautf8/`basename $file`; done
ls
for file in data/*dbf; do python win2utf.py -f $file -o datautf8/`basename $file`; done
history > hist
ls -a
ls -a geosample
ls -a geosample/PERMANENT/
cat geosample/PERMANENT/.bashrc 
ls -a geosample/PERMANENT/hist/
find . -print0 | xargs -0 grep history
find . -print0 | xargs -0 grep h
find . -print0 | xargs -0 grep hist
cat geosample/PERMANENT/.bash_history > hist
sh hist 
gis.m
sh hist 
gis.m
r.colors map=relief_color@PERMANENT color=elevation 
g.mlist vect
g.mremove vect
g.mremove --help
g.mremove vect=*
g.mremove -f vect=*
g.mremove -f rast=*
ls
sh hist 
g.mlist rast
g.mlist vect
gis.m
g.mlist rast
sh hist 
g.mlist rast
sh hist 
r.composite --help
g.mlist rast
r.composite r=modis.red b=modis.blue g=modis.green out=modis --o
v.in.ogr --help
v.db.select --help
v.
db.execute --help
info --help
v.info -c admin
v.db.addcol --help
v.db.addcol map=admin col="id INT"
v.db.select admin
v.info -c admin
v.info  admin
echo "UPDATE admin SET id=cat-1" | db.execute 
v.db.select admin
echo "UPDATE admin SET cat=id" | db.execute 
v.db.select admin
v.db.dropcol --help
v.db.dropcol admin col=id
v.db.select admin
v.db.renamecol --help
v.db.renamecol map=admin col=cat,id
sh hist
v.db.select soils
sh hist | grep ERROR
sh hist
g.mlist vect
sh hist 
exit
sh hist 
v.info -c admin
for map in `g.mlist vect`; do echo $map; v.info -c $map; echo; done
sh hist 
